import { ModifiedResponse, RequestClient, DynamicFieldResponse } from '@segment/actions-core';
import type { Settings } from '../../generated-types';
import DDApi from '../dd-api';
import { List } from '../types';
declare class DDListsApi extends DDApi {
    constructor(settings: Settings, request: RequestClient);
    getListsPaging(select?: number, skip?: number): Promise<ModifiedResponse<List[]>>;
    getLists(): Promise<DynamicFieldResponse>;
    deleteContactFromList(listId: number, contactId: number): Promise<void>;
}
export default DDListsApi;
